Bug 10583 - Compiling Issues With UCD-SNMP-DEVEL
Summary: Compiling Issues With UCD-SNMP-DEVEL
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ucd-snmp (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-04-04 18:17 UTC by Paul Badcock
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-04-04 18:17:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Paul Badcock 2000-04-04 18:17:18 UTC
Im having troubles compiling PHP with ucd-snmp-devel(version 4.1.1-2 of
the rpm) enabled.

Using PHP-3.0.15 or PHP-4RC1 the compiles both fail on snmp component of
the compile as follows...

snmp.c: In function `php_snmp':
snmp.c:222: warning: implicit declaration of function `snmp_synch_setup'
snmp.c: In function `php_if_snmp_set_quick_print':
snmp.c:366: parse error before `int'
snmp.c:367: `set_val' undeclared (first use in this function)
snmp.c:367: (Each undeclared identifier is reported only once
snmp.c:367: for each function it appears in.)

When I removed ucd-snmp-devel-4.1.1-2 and installed ucd-snmp-devel-4.0.1-4
the PHP-3.0.15 compiled like a charm, but PHP-4.0RC1 still fails to
compile. (I have also posted this bug to the PHP bugtrac
http://bugs.php.net/?id=4035)

Thanks for looking into this issue..

                                  Paul B.

Comment 1 Jeff Johnson 2000-08-11 17:33:41 UTC
Is this still an issue with latest ucd-snmp-4.1.2?


Note You need to log in before you can comment on or make changes to this bug.